
QGIS Application - Bug report #16912

Issue opening NetCDF file

2017-07-21 10:02 PM - Luca Congedo

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 24811

Description

Hello everybody,

opening in QGIS master the NetCDF file Oa01_radiance.nc (contained in 

ftp://ftp_tds-s3mpc:smwF298B@ftp.acri-cwa.fr/TDS_OLCI_20150918/S3A_OL_1_EFR____20100602T094537_20100602T094837_

0150601T075458_0180_090_022______LN2_D_NT_001.SEN3.zip) no image is displayed, only a table is listed in the layer panel.

The same file is correctly displayed in QGIS 2.18.

Best,

Luca

History

#1 - 2017-07-24 10:14 PM - Saber Razmjooei

- Category changed from Rasters to Data Provider

This is due to the GDAL version and not QGIS. I have QGIS 2.18 built against the latest GDAL and can't open the file. The output from command line for

gdalinfo is that the file format is not recognised.

So, it is more like an upstream issue and best to file a bug with gdal.

#2 - 2017-07-24 11:29 PM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Open to Closed

Saber what GDAL version stopped to recognize netcdf files?

#3 - 2017-07-25 08:32 AM - Saber Razmjooei

Gio,not sure which version, but I just built the gdal dev latest and all seems to be working.

#4 - 2017-07-25 07:12 PM - Luca Congedo

This should be related to this https://trac.osgeo.org/gdal/ticket/6974 and they have already solved it.

Thank you,
Luca
